'\" t
.TH x029 1 "8 August 2013"
.SH "NAME"
x029 \-
\s-1IBM\s+1 keypunch emulator
.SH "SYNOPSIS"
\fBx029\fP
.SH "DESCRIPTION"
\fBx029\fP is a simulation of an IBM 029 keypunch.
.LP
It allows input from the keyboard, a text file or by pasting the X11 selection
with the middle mouse button.
If the selected character set does not support lower-case characters, they
will be mapped to upper-case characters.
If the selected character set does not support a particular character at all,
it will be ignored.
.LP
Multiple punches in a single column can be entered by holding down
the \fBAlt\fP key.
.LP
The card in the punch station can be moved left and right with the left and
right cursor keys, and back to column 1 with the \fBHome\fP key. The
\fBBackspace\fP key is equivalent to the cursor-left key.
There is one configured tab stop, which is set up to skip to the body of a
\s-1FORTRAN\s+1 statement.
.LP
The \fBEnter\fP key is mapped to the 029 \fBREL\fP (release) key. It is the
same as the blue \fBREL\fP key in the window. It causes the card in the punch
station to be stored, and if Auto-Feed is on, a new card to be fed from the
(infinite) hopper.
.LP
The blue \fBFEED\fP key feeds a card from the hopper into the punch station.
When \fBx029\fP is started, a \fBFEED\fP press is assumed. Note that there is
no pre-punch station on \fBx029\fP, so cards go directly from the hopper to
the punch station.
.LP
There is a \fBDrop\fP button to discard the card in the punch station; it will
be replaced with a blank card. (There is no such button on a real 029.)
.LP
There is a row of toggle switches at the bottom of the window. Some are (for
now) just for show, but several of them have real functions:
.TP
\fBAUTO FEED\fP
Controls Auto-Feed mode. When it is on (the default), a card will be released
from the punch station as soon as column 80 is passed, and new card will be
fed from the hopper. When it is off, the \fBREL\fP key must be used to release
the card from the punch station, and the \fBFEED\fP key must be pressed to feed
in a new card.
.TP
\fBPRINT\fP
Controls printing at the top edge of the card. When it is on (the default),
text will be printed for each punch; when it is off, it will not.
.TP
\fBCLEAR\fP
When toggled, the card in the punch station will be released, and no new card
will be fed in, regardless of the state of the \fBAUTO FEED\fP switch.
.LP
The virtual card deck can be saved in one of two ways.
The \fISave Ascii\fP option saves the deck as ASCII (actually ISO 8859-1) text,
with multi-punched columns implemented as backspaces.
The \fISave Images\fP option saves the deck in Douglas Jones's standard
card deck format (see http://www.cs.uiowa.edu/~jones/cards/index.html for
details).
.SH "BATCH AND REMOTE CONTROL MODES"
The \fB-batch\fP option puts \fBx029\fP in batch mode, reading the text to be
punched from a text file or from standard input. A newline character is
interpreted as the \fBREL\fP key.
.LP
The \fB-remotectl\fP option also causes \fBx029\fP to read text from standard
input, but it allows the input to be generated incrementally. The basic
difference between batch and remote-control modes is that a new card is fed
immedately in remote-control mode, while a card is not fed in batch mode until
input is available.
.SH "OPTIONS"
\fBx029\fP is a toolkit-based program, so it understands standard Xt
options and resources (e.g., \-geom).
It also understands the following options:
.TP
\fB\-ifont\fP \fIfont\fP
Interpreter (card edge) font.
Defaults to \fB7x13\fP.
.TP
\fB\-number\fP
Automatically number each card in columns 73 through 80.
.TP
\fB\-charset\fP \fIname\fP
Keypunch character set:
.TS
center;
c l .
029	029 standard (default)
bcd-h	026 FORTRAN
ebcdic	S/360 EBCDIC
bcd-a	026 commercial
1401	IBM 1401
dec026	DEC 026 ASCII
dec029	DEC 029 ASCII
dec026-full	DEC 026 with lowercase and control chars
dec029-full	DEC 029 with lowercase and control chars
.TE
.TP
\fB\-card\fP \fIname\fP
Card image:
.TS
center;
c l .
collins	Collins Radio Corporation
cmu	Carnegie Mellon University
ibm	IBM
.TE
.TP
\fB-batch\fP \fIfile\fP
Read text file and punch it.
.TP
\fB-batch -\fP
Read standard input and punch it.
.TP
\fB-remotectl\fP
Read standard input incrementally.
.TP
\fB\-026ftn\fP
Alias for \fB-charset bcd-h\fP.
.TP
\fB\-026comm\fP
Alias for \fB-charset bcd-a\fP.
.TP
\fB\-029\fP
Alias for \fB-charset 029\fP.
.TP
\fB\-EBCDIC\fP
Alias for \fB-charset ebcdic\fP.
.TP
\fB-help\fP
Display command-line syntax help.
.SH BUGS
The author has very little experience with real keypunches, and
would appreciate any input on how to make \fBx029\fP a more realistic
experience.
.LP
Sound effects would be an obvious addition, but are notoriously non-portable.
.SH AUTHOR
Paul Mattes
